Binary files source/bin/Debug/shaders.lib and sourceold/bin/Debug/shaders.lib differ
Binary files source/bin/Release/shaders.lib and sourceold/bin/Release/shaders.lib differ
diff -uwr source/scripts/GameData.h sourceold/scripts/GameData.h
--- source/scripts/GameData.h	2013-02-12 09:36:05.831054600 +0800
+++ sourceold/scripts/GameData.h	2012-07-28 09:11:07.222656200 +0800
@@ -57,9 +57,6 @@
 	}
 	virtual ~Signaler()
 	{
-		if (Forward)
-			Forward->SignalDropped(*this);
-		Forward = 0;
 	}
 	void SignalMe(Signaler &sig)
 	{
diff -uwr source/scripts/SoldierGameObj.h sourceold/scripts/SoldierGameObj.h
--- source/scripts/SoldierGameObj.h	2013-01-29 13:00:07.149414000 +0800
+++ sourceold/scripts/SoldierGameObj.h	2012-08-18 03:19:10.575195300 +0800
@@ -105,7 +105,7 @@
 	bool				Is_Airborne( void )		{ return Get_State() == HumanStateClass::AIRBORNE; }
 	bool				Is_Crouched( void )		{ return HumanState.Get_State_Flag( HumanStateClass::CROUCHED_FLAG ); }
 	bool				Is_Sniping( void )		{ return HumanState.Get_State_Flag( HumanStateClass::SNIPING_FLAG ); }
-	void				Set_Is_Sniping()        { HumanState.Toggle_State_Flag(HumanStateClass::SNIPING_FLAG); Set_Object_Dirty_Bit(BIT_OCCASIONAL, true); }
+	void				Set_Is_Sniping()        { HumanState.Toggle_State_Flag(HumanStateClass::SNIPING_FLAG); }
 	bool				Is_Slow( void )			{ return (Get_Sub_State() & HumanStateClass::SUB_STATE_SLOW) != 0; }
 	bool				Is_On_Ladder( void )		{ return Get_State() == HumanStateClass::LADDER; }
 	bool				Is_In_Vehicle( void )	{ return Get_State() == HumanStateClass::IN_VEHICLE; }
